## mako-notifier 1.4

=== meson_options.txt ===
option('icons', type: 'feature', value: 'auto', description: 'Enable icon support')
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('zsh-completions', type: 'boolean', value: false, description: 'Install zsh completions')
option('apparmor', type: 'boolean', value: 'false', description: 'Install AppArmor profile')

=== debian/changelog ===
mako-notifier (1.4-2) unstable; urgency=medium

  * Source only upload as-is.

 -- Birger Schacht <birger@rantanplan.org>  Fri, 17 Apr 2020 21:21:53 +0200

mako-notifier (1.4-1) unstable; urgency=medium

  * Initial release. (Closes: #912865)

 -- Birger Schacht <birger@rantanplan.org>  Fri, 03 Jan 2020 12:33:36 +0100

=== debian/control ===
Source: mako-notifier
Section: x11
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Birger Schacht <birger@rantanplan.org>
Build-Depends: debhelper-compat (= 12),
               libcairo2-dev,
               libgdk-pixbuf2.0-dev,
               libpango1.0-dev,
               libsystemd-dev,
               libwayland-dev,
               meson,
               scdoc,
               wayland-protocols (>=1.14),
Standards-Version: 4.4.1
Homepage: https://wayland.emersion.fr/mako/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/swaywm-team/mako.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/mako

Package: mako-notifier
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: lightweight notification daemon for Wayland compositors
 mako is a lightweight notification daemon for Wayland compositors that support
 the layer-shell protocol.

## mako-notifier 1.4.1

=== debian/changelog ===
mako-notifier (1.4.1-1) unstable; urgency=medium

  * New upstream release
  * d/control: bump standards version (no changes required)
  * d/upstream/metadata: Add Bug-Submit information

 -- Birger Schacht <birger@rantanplan.org>  Mon, 04 May 2020 11:51:30 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                meson,
                scdoc,
                wayland-protocols (>=1.14),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://wayland.emersion.fr/mako/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/swaywm-team/mako.git

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dzsh-completions=true -Dapparmor=true

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/mako-$1\.tar\.gz/ \
  https://github.com/emersion/mako/tags .*/v?(\d\S+)\.tar\.gz

## mako-notifier 1.6

=== meson_options.txt ===
option('sd-bus-provider', type: 'combo', choices: ['auto', 'libsystemd', 'libelogind', 'basu'], value: 'auto', description: 'Provider of the sd-bus library')
option('icons', type: 'feature', value: 'auto', description: 'Enable icon support')
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('fish-completions', type: 'boolean', value: false, description: 'Install fish completions')
option('zsh-completions', type: 'boolean', value: false, description: 'Install zsh completions')

=== debian/changelog ===
mako-notifier (1.6-2) unstable; urgency=medium

  * Drop -Dapparmor from d/rules file (Closes: #998580)
  * Enable build and installation of fish shell completion files
  * Install systemd service file and apparmor rules file using debhelper
  * Update standards-version to 4.6.0.1 (no changes required)

 -- Birger Schacht <birger@debian.org>  Sat, 06 Nov 2021 11:29:37 +0100

mako-notifier (1.6-1) unstable; urgency=medium

  * New upstream release
  * Switch to git-bare repository layout
  * Update uploader email address
  * Switch to standards-version 4.5.1 (no changes required)
  * Bump debhelper-compat version to 13
  * Let the binary package declare that it provides a notification-daemon
    (Closes: #966335)
  * Add a lintian override for the dbus notification service file

 -- Birger Schacht <birger@debian.org>  Tue, 31 Aug 2021 21:28:31 +0200

=== debian/control ===
Source: mako-notifier
Section: x11
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (= 13),
               libcairo2-dev,
               libgdk-pixbuf2.0-dev,
               libpango1.0-dev,
               libsystemd-dev,
               libwayland-dev,
               meson,
               scdoc,
               wayland-protocols (>=1.14),
Standards-Version: 4.6.0.1
Homepage: https://wayland.emersion.fr/mako/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/swaywm-team/mako.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/mako

Package: mako-notifier
Architecture: any
Multi-Arch: foreign
Provides: notification-daemon
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: lightweight notification daemon for Wayland compositors
 mako is a lightweight notification daemon for Wayland compositors that support
 the layer-shell protocol.

## mako-notifier 1.7.1

=== debian/changelog ===
mako-notifier (1.7.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1.0 (no changes required)
  * Extend copyright years to 2022 in d/copyright
  * Remove apparmor file from d/mako-notifier.install which upstream has
    dropped
  * Update patch to install zsh completions in correct directory
  * Update watchfile to use gitmode and add upstream public key

 -- Birger Schacht <birger@debian.org>  Fri, 08 Jul 2022 13:11:17 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                meson,
                scdoc,
                wayland-protocols (>=1.14),
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://wayland.emersion.fr/mako/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/swaywm-team/mako.git

## mako-notifier 1.8.0

=== debian/changelog ===
mako-notifier (1.8.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:53:24 +1100

mako-notifier (1.8.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:39:30 +0000

mako-notifier (1.8.0-2) unstable; urgency=medium

  * Add d/conffiles to remove apparmor file (Closes: #1040352)
  * Fix d/gitlab-ci.yml to work with bare layout.

 -- Birger Schacht <birger@debian.org>  Sun, 03 Sep 2023 18:24:04 +0200

mako-notifier (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * d/control:
   + Replace libgdk-pixbuf2.0-dev with libgdk-pixbuf-2.0-dev
     (Closes: #1037394)
   + Bump standards version to 4.6.2 (no changes required)
  * d/changelog
   + Update copyright years
  * Fix lintian override

 -- Birger Schacht <birger@debian.org>  Sun, 25 Jun 2023 09:32:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: mako-notifier
 Section: x11
 Priority: optional
-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libcairo2-dev,
-               libgdk-pixbuf2.0-dev,
+	       libgdk-pixbuf-2.0-dev,
                libpango1.0-dev,
                libsystemd-dev,
                libwayland-dev,
                meson,
                scdoc,
                wayland-protocols (>=1.14),
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://wayland.emersion.fr/mako/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/swaywm-team/mako.git

## mako-notifier 1.9.0

=== debian/changelog ===
mako-notifier (1.9.0-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sun, 12 May 2024 12:29:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dzsh-completions=true -Dapparmor=true
+	dh_auto_configure -- -Dzsh-completions=true -Dfish-completions=true

## mako-notifier 1.10.0

=== meson_options.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
 option('fish-completions', type: 'boolean', value: false, description: 'Install fish completions')
 option('zsh-completions', type: 'boolean', value: false, description: 'Install zsh completions')
+option('bash-completions', type: 'boolean', value: false, description: 'Install bash completions')

=== debian/changelog ===
mako-notifier (1.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sun, 16 Mar 2025 16:23:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mako-notifier
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libcairo2-dev,

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://github.com/emersion/mako refs/tags/v?(\d\S+)
